Skip to main content

Create a MySQL database with a MySQL user

POST/v2/projects/{projectId}/mysql-databases/
v2
POST
database-create-mysql-database

This operation creates a MySQL database and an associated MySQL user.

Request

  • projectIdstring
    required

    ID of the Project to create a MySQLDatabase for.

Responses

application/json

Created

  • idstring (uuid)
    required
  • userIdstring (uuid)
    required

Usage examples

$ curl \
--fail \
--location \
-X POST \
-d '{"database":{"characterSettings":{"characterSet":"utf8mb4","collation":"utf8mb4_general_ci"},"description":"string","version":"8.4"},"user":{"accessLevel":"full","externalAccess":true,"password":"string"}}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/mysql-databases